using System;
using System.Collections.Generic;
using System.Text;

namespace exWithArray
{
    class Array
    { private int[] array;

            public Array(int n, int size)
            {
                Random rnd = new Random();
                this.array = new int[size];
                for (int i = 0; i < size; i++)
                {
                    this.array[i] = rnd.Next(n);
                }
            }

            public int getElement(int index)
            {
                return this.array[index];
            }

            public void setElement(int index, int value)
            {
                this.array[index] = value;
            }

            public int sumArray()
            {
                int sum = 0;
                for (int i = 0; i < this.array.Length; i++)
                {
                    sum = sum + this.array[i];
                }
                return sum;
            }

            public double average()
            {
                double sum = (double)sumArray();
                return (sum / this.array.Length);
            }

            public int countAbove(int x)
            {
                int counter = 0;
                for (int i = 0; i < this.array.Length; i++)
                {
                    if (this.array[i] > x)
                    {
                        counter++;
                    }
                }
                return counter;
            }

            public bool contains(int x)
            {
                for (int i = 0; i < this.array.Length; i++)
                {
                    if (this.array[i] == x)
                    {
                        return true;
                    }
                }
                return false;
            }

            public void sort(char sign)
            {
                for (int i = 0; i < this.array.Length - 1; i++)
                {
                    for (int j = 0; j < this.array.Length - 1; j++)
                    {
                        if (sign == '+')
                        {
                            if (this.array[j] > this.array[j + 1])
                            {
                                replace(j, j + 1);
                            }
                        }
                        if (sign == '-')
                        {
                            if (this.array[j] < this.array[j + 1])
                            {
                                replace(j, j + 1);
                            }
                        }
                    }
                }
            }

            private void replace(int a, int b)
            {
                int temp = this.array[a];
                this.array[a] = this.array[b];
                this.array[b] = temp;
            }

            public bool arrayIsEqual(Array a1)
            {
                for (int i = 0; i < this.array.Length; i++)
                {
                    if (this.array[i] != a1.array[i])
                    {
                        return false;
                    }
                }
                return true;
            }

        public String toString()
        {
            String str = "";
            if (this.array.Length == 0)
                return str;
            for (int i = 0; i < this.array.Length - 1; i++)
                str = str + this.array[i] + " ";
            str = str + this.array[this.array.Length - 1];
            return str;
        }
    }
}
