using System;
using System.Collections.Generic;
using System.Text;

namespace exWithArray
{
    class ArrayWithSize
    {

        private int[] array;
        private int size;

        public ArrayWithSize(int n, int size)
        {
            Random rnd = new Random();
            this.size = size;
            this.array = new int[size];
            for (int i = 0; i < size; i++)
            {
                this.array[i] = rnd.Next(n);
            }
        }

        public int getElement(int index)
        {
            return this.array[index];
        }

        public void setElement(int index, int value)
        {
            this.array[index] = value;
        }

        public int sumArray()
        {
            int sum = 0;
            for (int i = 0; i < this.size; i++)
            {
                sum = sum + this.array[i];
            }
            return sum;
        }

        public double average()
        {
            double sum = (double)sumArray();
            return (sum / this.size);
        }

        public int countAbove(int x)
        {
            int counter = 0;
            for (int i = 0; i < this.size; i++)
            {
                if (this.array[i] > x)
                {
                    counter++;
                }
            }
            return counter;
        }

        public bool contains(int x)
        {
            for (int i = 0; i < this.size; i++)
            {
                if (this.array[i] == x)
                {
                    return true;
                }
            }
            return false;
        }

        public void sort(char sign)
        {
            for (int i = 0; i < this.size - 1; i++)
            {
                for (int j = 0; j < this.size - 1; j++)
                {
                    if (sign == '+')
                    {
                        if (this.array[j] > this.array[j + 1])
                        {
                            replace(j, j + 1);
                        }
                    }
                    if (sign == '-')
                    {
                        if (this.array[j] < this.array[j + 1])
                        {
                            replace(j, j + 1);
                        }
                    }
                }
            }
        }

        private void replace(int a, int b)
        {
            int temp = this.array[a];
            this.array[a] = this.array[b];
            this.array[b] = temp;
        }

        public bool arrayIsEqual(ArrayWithSize a1)
        {
            for (int i = 0; i < this.size; i++)
            {
                if (this.array[i] != a1.array[i])
                {
                    return false;
                }
            }
            return true;
        }

        public String toString()
        {
            String str = "";
            if (this.size == 0)
                return str;
            for (int i = 0; i < this.size - 1; i++)
                str = str + this.array[i] + " ";
            str = str + this.array[this.size - 1];
            return str;
        }
    }
}
